package sgmlent;

%sgmlent::SGML_ENTITY =
               ('lt'     => chr( 60),  # less-than symbol
                'gt'     => chr( 62),  # greater-than symbol
                'quot'   => chr( 34),  # double quotation mark
                'amp'    => chr( 38),  # ampersand
                'nbsp'   => chr(160),  # no-break space
                'iexcl'  => chr(161),  # inverted exclamation mark
                'cent'   => chr(162),  # cent sign
                'pound'  => chr(163),  # pound sterling sign
                'curren' => chr(164),  # general currency sign
                'yen'    => chr(165),  # yen sign
                'brvbar' => chr(166),  # broken (vertical) bar
                'sect'   => chr(167),  # section sign
                'uml'    => chr(168),  # umlaut (dieresis)
                'copy'   => chr(169),  # copyright sign
                'ordf'   => chr(170),  # ordinal indicator, feminine
                'laquo'  => chr(171),  # angle quotation mark, left
                'not'    => chr(172),  # not sign
                'shy'    => chr(173),  # soft hyphen
                'reg'    => chr(174),  # registered sign
                'macr'   => chr(175),  # macron
                'deg'    => chr(176),  # degree sign
                'plusmn' => chr(177),  # plus-or-minus sign
                'sup2'   => chr(178),  # superscript two
                'sup3'   => chr(179),  # superscript three
                'acute'  => chr(180),  # acute accent
                'micro'  => chr(181),  # micro sign
                'para'   => chr(182),  # pilcrow (paragraph sign)
                'middot' => chr(183),  # middle dot
                'cedil'  => chr(184),  # cedilla
                'sup1'   => chr(185),  # superscript one
                'ordm'   => chr(186),  # ordinal indicator, masculine
                'raquo'  => chr(187),  # angle quotation mark, right
                'frac14' => chr(188),  # fraction one-quarter
                'frac12' => chr(189),  # fraction one-half
                'frac34' => chr(190),  # fraction three-quarters
                'iquest' => chr(191),  # inverted question mark
                'agrave' => chr(192),  # capital a, grave accent
                'aacute' => chr(193),  # capital a, acute accent
                'acirc'  => chr(194),  # capital a, circumflex accent
                'atilde' => chr(195),  # capital a, tilde
                'auml'   => chr(196),  # capital a, umlaut mark
                'aring'  => chr(197),  # capital a, ring
                'aelig'  => chr(198),  # capital ae diphthong (ligature)
                'ccedil' => chr(199),  # capital c, cedilla
                'egrave' => chr(200),  # capital e, grave accent
                'eacute' => chr(201),  # capital e, acute accent
                'ecirc'  => chr(202),  # capital e, circumflex accent
                'euml'   => chr(203),  # capital e, umlaut mark
                'igrave' => chr(204),  # capital i, grave accent
                'iacute' => chr(205),  # capital i, acute accent
                'icirc'  => chr(206),  # capital i, circumflex accent
                'iuml'   => chr(207),  # capital i, umlaut mark
                'eth'    => chr(208),  # capital eth, icelandic
                'ntilde' => chr(209),  # capital n, tilde
                'ograve' => chr(210),  # capital o, grave accent
                'oacute' => chr(211),  # capital o, acute accent
                'ocirc'  => chr(212),  # capital o, circumflex accent
                'otilde' => chr(213),  # capital o, tilde
                'ouml'   => chr(214),  # capital o, umlaut mark
                'times'  => chr(215),  # multiply sign
                'oslash' => chr(216),  # capital o, slash
                'ugrave' => chr(217),  # capital u, grave accent
                'uacute' => chr(218),  # capital u, acute accent
                'ucirc'  => chr(219),  # capital u, circumflex accent
                'uuml'   => chr(220),  # capital u, umlaut mark
                'yacute' => chr(221),  # capital y, acute accent
                'thorn'  => chr(222),  # capital thorn, icelandic
                'szlig'  => chr(223),  # small sharp s, german
                'agrave' => chr(224),  # small a, grave accent
                'aacute' => chr(225),  # small a, acute accent
                'acirc'  => chr(226),  # small a, circumflex accent
                'atilde' => chr(227),  # small a, tilde
                'auml'   => chr(228),  # small a, umlaut mark
                'aring'  => chr(229),  # small a, ring
                'aelig'  => chr(230),  # small ae diphthong (ligature)
                'ccedil' => chr(231),  # small c, cedilla
                'egrave' => chr(232),  # small e, grave accent
                'eacute' => chr(233),  # small e, acute accent
                'ecirc'  => chr(234),  # small e, circumflex accent
                'euml'   => chr(235),  # small e, umlaut mark
                'igrave' => chr(236),  # small i, grave accent
                'iacute' => chr(237),  # small i, acute accent
                'icirc'  => chr(238),  # small i, circumflex accent
                'iuml'   => chr(239),  # small i, umlaut mark
                'eth'    => chr(240),  # small eth, icelandic
                'ntilde' => chr(241),  # small n, tilde
                'ograve' => chr(242),  # small o, grave accent
                'oacute' => chr(243),  # small o, acute accent
                'ocirc'  => chr(244),  # small o, circumflex accent
                'otilde' => chr(245),  # small o, tilde
                'ouml'   => chr(246),  # small o, umlaut mark
                'divide' => chr(247),  # divide sign
                'oslash' => chr(248),  # small o, slash
                'ugrave' => chr(249),  # small u, grave accent
                'uacute' => chr(250),  # small u, acute accent
                'ucirc'  => chr(251),  # small u, circumflex accent
                'uuml'   => chr(252),  # small u, umlaut mark
                'yacute' => chr(253),  # small y, acute accent
                'thorn'  => chr(254),  # small thorn, icelandic
                'yuml'   => chr(255)); # small y, umlaut mark
1;
