#!/usr/bin/perl
# CritWriter: Monitor activator.

# The CritLink Mediator and CritWriter software is copyright
# 1997 by Ka-Ping Yee (http://www.lfw.org/ping/).  All rights
# reserved.  Written for a project of the Foresight Institute.
# 
# This software is provided by Ka-Ping Yee under the following
# license.  By using, copying, or modifying this software, you
# agree that you understand and will comply with the following
# terms and conditions: permission to use, copy, modify, and
# distribute this software and documentation for any purpose
# is granted, PROVIDED (a) that the full text of this notice
# appears on all copies of the software and documentation or
# portions or derivations thereof, and (b) that the preceding
# paragraph, containing the copyright, is displayed (together
# with other copyright notices if any) by all products that
# incorporate this software or portions or derivations thereof.
# If possible, we prefer that the URL be an active hyperlink.
# 
# THIS SOFTWARE IS PROVIDED "AS IS".  KA-PING YEE AND FORESIGHT
# INSTITUTE MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR
# IMPLIED, INCLUDING, BUT NOT LIMITED TO, REPRESENTATIONS OR
# WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
# PURPOSE OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY
# THIRD-PARTY PATENTS, COPYRIGHTS, TRADEMARKS, OR OTHER RIGHTS.
# NEITHER KA-PING YEE NOR FORESIGHT INSTITUTE WILL BEAR ANY
# LIABILITY FOR ANY USE OF THIS SOFTWARE OR DOCUMENTATION.
# 
# The name and trademarks of Ka-Ping Yee and the Foresight
# Institute may not be used in publicity about this software
# without prior written permission (please contact us at
# <ping@foresight.org>).  Title to copyright in this software
# and documentation will at all times remain with the author.

# Look for "M1config.pm" in the lib/ sibling directory.
BEGIN { push(@INC, (($0 =~ /(.*)\//) ? $1 : '.') . '/../lib'); }

use M1config;

use cgi;
use sprocket;
use M1ui;
use M1url;
use M1link;
use M1db;

$ENV{'PATH'} = '';
$ENV{'SHELL'} = '/bin/sh';
$SIG{'ALRM'} = 'diealarm';
sub diealarm { exit; }
alarm $M1config::servertimeout;

my $MONITOR_TEMPLATE = "$M1config::docpath/cw-monitor.html";
my $UNMONITOR_TEMPLATE = "$M1config::docpath/cw-unmonitor.html";
my $MONITORINFO_TEMPLATE = "$M1config::docpath/cw-monitorinfo.html";

my $db = new M1db($M1config::dbpath);

&cgi::readform;
&cgi::readcookie();
$cookieaddress = $cgi::cookie{'Crit_address'};

if ($cgi::pathinfo =~ /\S+/)
    {
    ($target = $&) =~ s#^/+##;
    $target =~ s/\xfe|%fe/?/i;
    }
if ($cgi::form{'target'} =~ /\S+/)
    { $target = $&; }
$url = new M1url($target);
@links = $db->fwdlinks($url);
$docinfo = $db->docinfo($url);
$targettitle = $$docinfo{'title'} || $target;
$monitor = ' ' . $$docinfo{'monitor'} . ' ';

if ($cookieaddress =~ /\S+/)
    { $address = $&; }

if ($cgi::form{'address'} =~ /\S+/)
    { $address = $&; }

if ($cgi::form{'name'} =~ /\S/)
    { push(@cookies, &cookieheader('name', $cgi::form{'name'})); }

if ($address =~ /\S+/)
    {
    push(@cookies, &cookieheader('address', $address));
    if ($monitor =~ s/ $address / /i)
        {
        ($$docinfo{'monitor'} = $monitor) =~ s/^\s*|\s*$//g;
        $db->store($url, @links);
        &cgi::log('UNMONITOR', $target, $address);
        &finish('200 Okay', '', '', $UNMONITOR_TEMPLATE, @cookies);
        }
    else
        {
        $monitor .= $address;
        ($$docinfo{'monitor'} = $monitor) =~ s/^\s*|\s*$//g;
        $db->store($url, @links);
        &cgi::log('MONITOR', $target, $address);
        &finish('200 Okay', '', '', $MONITOR_TEMPLATE, @cookies);
        }
    }

else
    { &finish('200 Okay', '', '', $MONITORINFO_TEMPLATE); }

sub finish
    {
    local ($response, $title, $message, $template, @headers) = @_;
    &cgi::httpheaders($response, 'Content-Type: text/html', @headers);
    print &M1ui::render($template || $ERROR_TEMPLATE, 'M1config', 'cgi');
    exit;
    }

sub cookieheader
    {
    my ($key, $value) = @_;
    return "Set-Cookie: Crit_$key=" . &M1url::encode($value);
    }
